/* -*- Mode: C; tab-width: 3; indent-tabs-mode: nil; c-basic-offset: 3 -*- */

/*
 * GImageView
 * Copyright (C) 2001-2004 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: mplayer_image_loader.c,v 1.1.2.2 2003/02/03 21:32:22 makeinu Exp $
 */

#include "mplayer_image_loader.h"

#ifdef ENABLE_MPLAYER

#include "gimv_mplayer.h"
#include "prefs.h"

GimvImage *
gimv_mplayer_load_file (ImageLoader *loader, gpointer data)
{
   const gchar *filename;
   GimvImage *image = NULL;
   GimvMPlayer *mplayer;
   gfloat pos = 0.0, len;
   gchar *tmpfile;

   g_return_val_if_fail (loader, NULL);

   filename = image_loader_get_path (loader);
   g_return_val_if_fail (filename, NULL);

   mplayer = GIMV_MPLAYER (gimv_mplayer_new ());
#ifdef USE_GTK2
   g_object_ref (G_OBJECT (mplayer));
   gtk_object_sink (GTK_OBJECT (mplayer));
#endif /* USE_GTK2 */
   if (!gimv_mplayer_set_file (mplayer, filename)) goto ERROR0;

   len = gimv_mplayer_get_length (mplayer);
   if (len > 0.01) pos = len * conf.mplayer_thumbnail_pos / 100.0;

   tmpfile = gimv_mplayer_get_frame (mplayer, NULL, NULL,
                                     pos, conf.mplayer_thumbnail_frames,
                                     TRUE);
   if (!tmpfile) goto ERROR0;

   image = gimv_image_load_file (tmpfile, FALSE);

   g_free (tmpfile);
 ERROR0:
   gtk_widget_unref (GTK_WIDGET (mplayer));

   return image;
}

#endif /* ENABLE_MPLAYER */
