/* -*- Mode: C; tab-width: 3; indent-tabs-mode: nil; c-basic-offset: 3 -*- */

/*
 * GImageView
 * Copyright (C) 2002 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: prefs_ui_detail.c,v 1.8.2.1 2002/11/14 10:54:53 makeinu Exp $
 */

#include "prefs_ui_detail.h"

#include "intl.h"
#include "prefs.h"
#include "prefs_win.h"
#include "thumbview_detail.h"


extern Config   *config_changed;
extern Config   *config_prechanged;



/*******************************************************************************
 *  prefs_detailview_page:
 *     @ Create Detail View preference page.
 *
 *  Return : Packed widget (GtkVbox)
 *******************************************************************************/
GtkWidget *
prefs_detailview_page (void)
{
   GtkWidget *main_vbox, *frame, *toggle;
   gint i;
   GList *list = NULL;

   main_vbox = gtk_vbox_new (FALSE, 0);
   gtk_container_set_border_width(GTK_CONTAINER(main_vbox), 5);

   for (i = 1; i < detailview_get_titles_num (); i++) {
      gchar *text = detailview_get_title (i);
      list = g_list_append (list, text);
   }

   frame = prefs_ui_double_clist (_("Column Order"),
                                  _("Possible columns"),
                                  _("Displayed columns"),
                                  list,
                                  config_prechanged->detailview_columns,
                                  &config_changed->detailview_columns,
                                  ',');
   g_list_free (list);

   gtk_box_pack_start(GTK_BOX (main_vbox), frame, FALSE, TRUE, 0);


   /* show/hide column title */
   toggle = gtkutil_create_check_button (_("Show Column Title"),
                                         conf.detailview_show_title,
                                         gtkutil_get_data_from_toggle_cb,
                                         &config_changed->detailview_show_title);
   gtk_box_pack_start (GTK_BOX (main_vbox), toggle, FALSE, FALSE, 0);

   gtk_widget_show_all (main_vbox);

   return main_vbox;
}


void
prefs_detailview_apply (Config *src, Config *dest)
{
   /* detail view */
   if ((dest->detailview_columns != src->detailview_columns)
       || (dest->detailview_show_title != src->detailview_show_title))
   {
      detailview_apply_config ();
   }
}
