/* -*- Mode: C; tab-width: 3; indent-tabs-mode: nil; c-basic-offset: 3 -*- */

/*
 * GImageView
 * Copyright (C) 2002 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: prefs_ui_list.c,v 1.7 2002/10/29 18:41:41 makeinu Exp $
 */

#include "prefs_ui_list.h"

#include "intl.h"
#include "prefs.h"
#include "prefs_win.h"
#include "thumbview_list.h"


extern Config   *config_changed;
extern Config   *config_prechanged;



/*******************************************************************************
 *  prefs_listview_page:
 *     @ Create List View preference page.
 *
 *  Return : Packed widget (GtkVbox)
 *******************************************************************************/
GtkWidget *
prefs_listview_page (void)
{
   GtkWidget *main_vbox, *frame;
   gint i;
   GList *list = NULL;

   main_vbox = gtk_vbox_new (FALSE, 0);
   gtk_container_set_border_width(GTK_CONTAINER(main_vbox), 5);

   for (i = 0; i < listview_get_titles_num (); i++) {
      gchar *text = listview_get_title (i);
      list = g_list_append (list, text);
   }

   frame = prefs_ui_double_clist (_("Data Order on List View (Thumbnail)"),
                                  _("Possible data"),
                                  _("Displayed data"),
                                  list,
                                  config_prechanged->listview_data_order,
                                  &config_changed->listview_data_order,
                                  ',');
   g_list_free (list);

   gtk_box_pack_start(GTK_BOX (main_vbox), frame, FALSE, TRUE, 0);

   gtk_widget_show_all (main_vbox);

   return main_vbox;
}
