/* -*- Mode: C; tab-width: 3; indent-tabs-mode: nil; c-basic-offset: 3 -*- */

/*
 * GImageView
 * Copyright (C) 2001 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: icon.h,v 1.6.2.1 2003/01/09 15:20:37 makeinu Exp $
 */

#include <gtk/gtk.h>

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif


#ifdef USE_GTK2
#  include <gdk-pixbuf/gdk-pixbuf.h>
#endif /* USE_GTK2 */


#define DEFAULT_ICONSET "default"


typedef struct Icon_Tag {
   GdkPixmap *pixmap;
   GdkBitmap *mask;
#ifdef USE_GTK2
   GdkPixbuf *pixbuf;
#endif /* USE_GTK2 */
} Icon;


gboolean   icon_init               (const gchar *iconset);
Icon      *icon_get                (const gchar *icon_name);
GtkWidget *icon_get_widget         (const gchar *icon_name);
void       icon_widget_change_icon (GtkWidget   *widget,
                                    const gchar *icon_name);
void       icon_free               (const gchar *icon_name);
void       icon_set_window_icon    (GdkWindow   *window,
                                    gchar       *name);

#ifdef USE_GTK2
GdkPixbuf *icon_get_pixbuf         (const gchar *icon_name);
void       icon_free_pixbuf        (const gchar *icon_name);
#endif /* USE_GTK2 */
