/* -*- Mode: C; tab-width: 3; indent-tabs-mode: nil; c-basic-offset: 3 -*- */

/*
 * GImageView
 * Copyright (C) 2001 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: gedo-vpaned.h,v 1.3 2002/10/03 12:27:37 makeinu Exp $
 */

/*
 * These codes are taken from gThumb.
 * gThumb code Copyright (C) 2001 The Free Software Foundation, Inc.
 * gThumb author: Paolo Bacchilega
 */

#ifndef __GEDO_VPANED_H__
#define __GEDO_VPANED_H__

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <gdk/gdk.h>
#include "gedo-paned.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#ifndef USE_NORMAL_PANED

#define GEDO_VPANED(obj)          GTK_CHECK_CAST (obj, gedo_vpaned_get_type (), GedoVPaned)
#define GEDO_VPANED_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, gedo_vpaned_get_type (), GedoVPanedClass)
#define GEDO_IS_VPANED(obj)       GTK_CHECK_TYPE (obj, gedo_vpaned_get_type ())


typedef struct _GedoVPaned       GedoVPaned;
typedef struct _GedoVPanedClass  GedoVPanedClass;

struct _GedoVPaned
{
   GedoPaned paned;
};

struct _GedoVPanedClass
{
   GedoPanedClass parent_class;
};


guint      gedo_vpaned_get_type (void);
GtkWidget* gedo_vpaned_new      (void);

#else /* USE_NORMAL_PANED */

#include <gtk/gtkvpaned.h>

#define GedoVPaned GtkVPaned
#define gedo_vpaned_new() gtk_vpaned_new()

#endif /* USE_NORMAL_PANED */


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GEDO_VPANED_H__ */
